Better log reporting in distro upgrade activities

Bug #503384 reported by Andreas Hasenack on 2010-01-05
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Server
Medium
Free Ekanayaka
landscape-client (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

When a distro upgrade activity fails, the logs that are sent back to landscape don't help much.

For example, this is what I got back when such an activity failed for me:
fetched gpgv:/var/lib/apt/lists/partial/us.ec2.archive.ubuntu.com_ubuntu_dists_intrepid_Release.gpg (28.57/100) at 0b/s
fetched gpgv:/var/lib/apt/lists/partial/us.ec2.archive.ubuntu.com_ubuntu_dists_intrepid-updates_Release.gpg (63.64/100) at 0b/s
fetched http://ppa.launchpad.net/landscape/ppa/ubuntu/dists/intrepid/Release.gpg (81.25/100) at 0b/s
(...)
fetched bzip2:/var/lib/apt/lists/partial/security.ubuntu.com_ubuntu_dists_jaunty-security_universe_binary-i386_Packages (100.00/100) at 1592kb/s
fetched bzip2:/var/lib/apt/lists/partial/security.ubuntu.com_ubuntu_dists_jaunty-security_main_source_Sources (100.00/100) at 1592kb/s
fetched bzip2:/var/lib/apt/lists/partial/security.ubuntu.com_ubuntu_dists_jaunty-security_restricted_source_Sources (100.00/100) at 1592kb/s

Only the /var/log/dist-upgrade/main.log had the actual failure reason (a missing gpg key):
root@ip-10-244-14-230:/var/log/dist-upgrade# cat main.log |grep -v DEBUG
2010-01-05 14:07:02,483 INFO Using config files '['./DistUpgrade.cfg']'
2010-01-05 14:07:02,483 INFO release-upgrader version '0.111.8' started
2010-01-05 14:07:23,571 WARNING mirror check skipped, *overriden* via config
2010-01-05 14:07:23,616 INFO fixing components inconsistency from 'deb http://us.ec2.archive.ubuntu.com/ubuntu/ jaunty-updates main universe'
2010-01-05 14:07:23,617 INFO to new entry 'deb http://us.ec2.archive.ubuntu.com/ubuntu/ jaunty-updates main universe'
2010-01-05 14:07:23,617 INFO fixing components inconsistency from 'deb http://security.ubuntu.com/ubuntu jaunty-security main restricted'
2010-01-05 14:07:23,617 INFO to new entry 'deb http://security.ubuntu.com/ubuntu jaunty-security main restricted universe'
2010-01-05 14:07:51,161 WARNING No kernel: 'linux-image-xen'
2010-01-05 14:07:51,234 INFO no old nvidia driver installed, installing no new
2010-01-05 14:07:54,812 ERROR Unauthenticated packages found: 'landscape-client landscape-common'
2010-01-05 14:07:54,813 ERROR Error authenticating some packages It was not possible to authenticate some packages. This may be a transient network problem. You may want to try again later. See below for a list of unauthenticated packages. (landscape-client
landscape-common)
2010-01-05 14:07:54,814 ERROR view.abort called

Related branches

Changed in landscape:
milestone: none → 1.4.5
importance: Undecided → Low
Andreas Hasenack (ahasenack) wrote :

I just tried another upgrade and it failed. The log attached to the landscape activity doesn't show any problem, but the /var/log/dist-upgrade/main.log file on the computer nails it down pretty well:

2010-03-12 15:53:57,631 ERROR Not enough free disk space The upgrade is now aborted. The upgrade needs a total of 37.7M free space on disk '/boot'. Please free at least an additional 19.3M of disk space on '/boot'. Empty your trash and remove temporary packages of former installations using 'sudo apt-get clean'. (None)

I'm raising this to Medium because really, without that main.log output, there is no way to even identify the problem using Landscape.

Changed in landscape:
importance: Low → Medium
Changed in landscape:
assignee: nobody → Free Ekanayaka (free.ekanayaka)
status: New → In Progress
milestone: 1.4.5 → 1.5.0
Changed in landscape:
status: In Progress → Fix Committed
tags: added: testing
tags: removed: testing
tags: added: needs-testing
Free Ekanayaka (free.ekanayaka) wrote :

Works as expected.

tags: removed: needs-testing
Changed in landscape:
status: Fix Committed → Fix Released
visibility: private → public
Martin Pitt (pitti) on 2010-04-23
affects: Ubuntu Jaunty → landscape-client (Ubuntu Jaunty)

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.0.1-0ubuntu0.9.04.0

---------------
landscape-client (1.5.0.1-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)

  * New upstream version (LP: #557244)
    - Fix package-changer running before smart-update has completed (LP: #542215)
    - Report the version of Eucalyptus used to generate topology data (LP: #554007)
    - Enable the Eucalyptus plugin by default, if supported (LP: #546531)
    - Use a whitelist of allowed filesystem types to instead of a blacklist (LP: #351927)
    - Report the update-manager logs to the server (LP: #503384)
    - Turn off Curl's DNS caching for requests. (LP: #522668)
 -- Free Ekanayaka <email address hidden> Wed, 21 Apr 2010 12:31:28 +0200

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.0.1-0ubuntu0.9.10.0

---------------
landscape-client (1.5.0.1-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)

  * New upstream version (LP: #557244)
    - Fix package-changer running before smart-update has completed (LP: #542215)
    - Report the version of Eucalyptus used to generate topology data (LP: #554007)
    - Enable the Eucalyptus plugin by default, if supported (LP: #546531)
    - Use a whitelist of allowed filesystem types to instead of a blacklist (LP: #351927)
    - Report the update-manager logs to the server (LP: #503384)
    - Turn off Curl's DNS caching for requests. (LP: #522668)
 -- Free Ekanayaka <email address hidden> Wed, 21 Apr 2010 12:31:28 +0200

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Released
Changed in landscape-client (Ubuntu):
status: New → Fix Released
tags: removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers